Subject: RE: CRON problems
From: Hank Statscewich <[email-masked]>
To: [email-masked], Igor Pechtchanski <[email-masked]>
Cc: "Harig, Mark" <[email-masked]>, [email-masked]
Date: Thu, 6 May 2004 16:10:21 -0800

Igor,

Great suggestion. In /var/log/cron.log there were 17 lines of:
/usr/sbin/cron: can't open or create /var/run/cron.pid: Permission denied

So I just changed permission of the file to 777 and cron started up just fine. 
I rebooted and lo and behold cron is still running. I'm changing permission 
back to something more appropriate now. I am now a fully satisfied cygwin user. 
Thansk for such a great port of linux onto windows, Cygwin is the best of both 
worlds (at least for now :)

Hank

Quoting Igor Pechtchanski <[email-masked]>:

> On Thu, 6 May 2004, Hank Statscewich wrote:
> 
> > Mark,
> >
> > Thanks for the sugestion. So, I just ran cron diagnose.sh (ver. 1.5) and
> > it tells me that my cron is installed just fine, but even a simple
> > "hello world"  doesnt work.  This is pretty wierd because if I do a ps
> > -elf cron doesn't show up anywhere, here's the output:
> >
> >      UID     PID    PPID TTY     STIME COMMAND
> >   SYSTEM     640       1   ?  21:55:14 /usr/bin/cygrunsrv
> >   SYSTEM     672     640   ?  21:55:15 /usr/sbin/sshd
> >    stats    1136       1   0  21:55:41 /usr/bin/bash
> >    stats    1380    1136   0  23:14:40 /usr/bin/ps
> >
> > I went throught the suggested steps of remove, uninstall, reinstall and
> > starting the service, but I get the same error message as before:
> >
> > $ cygrunsrv -S cron > error.cron
> > cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error
> 1062:
> > The service has not been started.
> >
> > So I removed /var/run/cron.pid and tried the suggested steps once more,
> but
> > alas, same error.
> >
> > Am I totally missing something here? In the
> > file /usr/share/doc/Cygwin/cron.README, it says:
> > "On NT/W2K run cron under SYSTEM account as service to use that feature."
> >
> > Is there a way to run cron under the SYSTEM account, i.e. do I need to
> > login as SYSTEM and repeat the steps described above?
> >
> > Thansk for your help.
> > Hank
> 
> Hank,
> 
> Two places to look for the actual error are /var/log/cron.log and the
> Windows event log.  Perhaps Mark can add this to the output of his
> script...
> 	Igor
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/